---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: grafana
  labels:
    app: grafana
    component: core
spec:
  replicas: 1
  selector:
    matchLabels:
      app: grafana
      component: core
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: grafana
        component: core
      annotations:
        sidecar.istio.io/inject: 'false'
    spec:
      volumes:
      - name: grafana-pv-storage
        persistentVolumeClaim:
          claimName: grafana-gii-nfs-pvc
      containers:
        - name: grafana
          image: 'grafana/grafana:7.3.6'
          ports:
            - containerPort: 3000
              protocol: TCP
          env:
            - name: GF_SERVER_ROOT_URL
              value: https://demosmitra.finpay.id/grafana
            - name: GRAFANA_PORT
              value: '3000'
            - name: GF_PATHS_DATA
              value: /data/grafana
          resources:
            requests:
              cpu: 10m
          volumeMounts:
            - name: grafana-pv-storage
              mountPath: /data/grafana
          readinessProbe:
            httpGet:
              path: /api/health
              port: 3000
              scheme: HTTP
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
---
apiVersion: v1
kind: Service
metadata:
  name: grafana-finnet-service
  annotations:
    getambassador.io/config: |
      ---
      apiVersion: ambassador/v1
      kind: Mapping
      name: grafana-finnet-map
      prefix: /qris/grafana/
      service: grafana-finnet-service
      host_rewrite: grafana-finnet-service
      timeout_ms: 180000
      idle_timeout_ms: 500000
      connect_timeout_ms: 180000
spec:
  ports:
    - port: 80
      targetPort: 3000
  selector:
    app: grafana
    component: core
